ALTER TABLE `#__componentbuilder_snippet` ADD `library` INT(11) NOT NULL DEFAULT 0 AFTER `heading`;

CREATE TABLE IF NOT EXISTS `#__componentbuilder_snippet_type` (
	`id` INT(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
	`name` VARCHAR(255) NOT NULL DEFAULT '',
	`description` VARCHAR(255) NOT NULL DEFAULT '',
	`params` text NOT NULL DEFAULT '',
	`published` TINYINT(3) NOT NULL DEFAULT 1,
	`created_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`modified_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) unsigned NOT NULL DEFAULT 0,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` INT(10) unsigned NOT NULL DEFAULT 1,
	`hits` INT(10) unsigned NOT NULL DEFAULT 0,
	`access` INT(10) unsigned NOT NULL DEFAULT 0,
	`ordering` INT(11) NOT NULL DEFAULT 0,
	PRIMARY KEY  (`id`),
	KEY `idx_access` (`access`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`),
	KEY `idx_name` (`name`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__componentbuilder_library` (
	`id` INT(11) NOT NULL AUTO_INCREMENT,
	`asset_id` INT(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
	`description` VARCHAR(255) NOT NULL DEFAULT '',
	`name` VARCHAR(255) NOT NULL DEFAULT '',
	`params` text NOT NULL DEFAULT '',
	`published` TINYINT(3) NOT NULL DEFAULT 1,
	`created_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`modified_by` INT(10) unsigned NOT NULL DEFAULT 0,
	`created` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`modified` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`checked_out` int(11) unsigned NOT NULL DEFAULT 0,
	`checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
	`version` INT(10) unsigned NOT NULL DEFAULT 1,
	`hits` INT(10) unsigned NOT NULL DEFAULT 0,
	`access` INT(10) unsigned NOT NULL DEFAULT 0,
	`ordering` INT(11) NOT NULL DEFAULT 0,
	PRIMARY KEY  (`id`),
	KEY `idx_access` (`access`),
	KEY `idx_checkout` (`checked_out`),
	KEY `idx_createdby` (`created_by`),
	KEY `idx_modifiedby` (`modified_by`),
	KEY `idx_state` (`published`),
	KEY `idx_name` (`name`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

INSERT INTO `#__componentbuilder_snippet_type` (`id`, `description`, `name`, `params`, `published`, `version`, `hits`, `access`, `ordering`) VALUES
(1, '', 'Layout', '', 1, 1, 0, 1, 1),
(2, '', 'Navigations', '', 1, 1, 0, 1, 2),
(3, '', 'Elements', '', 1, 1, 0, 1, 3),
(4, '', 'Common', '', 1, 1, 0, 1, 4),
(5, '', 'JavaScript', '', 1,  1, 0, 1, 5),
(6, '', 'Charts', '', 1, 1, 0, 1, 6),
(7, '', 'Alerts', '', 1, 1, 0, 1, 7),
(8, '', 'Badges', '', 1, 1, 0, 1, 8),
(9, '', 'Breadcrumbs', '', 1, 1, 0, 1, 9),
(10, '', 'Buttons', '', 1, 1, 0, 1, 10),
(11, '', 'Button Groups', '', 1, 1, 0, 1, 11),
(12, '', 'Button Modifiers', '', 1, 1, 0, 1, 12),
(13, '', 'Cards', '', 1, 1, 0, 1, 13),
(14, '', 'Carousel', '', 1, 1, 0, 1, 14),
(15, '', 'Collapse', '', 1, 1, 0, 1, 15),
(16, '', 'Dropdowns', '', 1, 1, 0, 1, 16),
(17, '', 'Forms', '', 1, 1, 0, 1, 17),
(18, '', 'Form Input Groups', '', 1, 1, 0, 1, 18),
(19, '', 'Custom Forms', '', 1, 1, 0, 1, 19),
(20, '', 'Grid', '', 1, 1, 0, 1, 20),
(21, '', 'Images', '', 1, 1, 0, 1, 21),
(22, '', 'Jumbotron', '', 1, 1, 0, 1, 22),
(23, '', 'List Group', '', 1, 1, 0, 1, 23),
(24, '', 'Media Objects', '', 1, 1, 0, 1, 24),
(25, '', 'Modal', '', 1, 1, 0, 1, 25),
(26, '', 'Navs', '', 1, 1, 0, 1, 26),
(27, '', 'Navbar', '', 1, 1, 0, 1, 27),
(28, '', 'Pagination', '', 1, 1, 0, 1, 28),
(29, '', 'Popover', '', 1, 1, 0, 1, 29),
(30, '', 'Progress', '', 1, 1, 0, 1, 30),
(31, '', 'Scrollspy', '', 1, 1, 0, 1, 31),
(32, '', 'Tables', '', 1, 1, 0, 1, 32),
(33, '', 'Tooltips', '', 1, 1, 0, 1, 33),
(34, '', 'Typography', '', 1, 1, 0, 1, 34),
(35, '', 'Utility: Borders', '', 1, 1, 0, 1, 35),
(36, '', 'Utility: Colors', '', 1, 1, 0, 1, 36),
(37, '', 'Utility: Display', '', 1, 1, 0, 1, 37),
(38, '', 'Utility: Flexbox', '', 1, 1, 0, 1, 38),
(39, '', 'Utility: Misc', '', 1, 1, 0, 1, 39),
(40, '', 'Utility: Positioning', '', 1, 1, 0, 1, 40),
(41, '', 'Utility: Sizing', '', 1, 1, 0, 1, 41),
(42, '', 'Utility: Spacing', '', 1, 1, 0, 1, 42),
(43, '', 'Utility: Text', '', 1, 1, 0, 1, 43);

INSERT INTO `#__componentbuilder_library` (`id`, `description`, `name`, `params`, `published`, `created`, `modified`, `version`, `hits`, `ordering`) VALUES
(1, '', 'No Library', '', 1, '2017-11-11 22:08:33', '0000-00-00 00:00:00', 1, '', 1),
(2, '', 'Bootstrap v4', '', 1, '2017-11-11 22:08:39', '0000-00-00 00:00:00', 1, '', 2),
(3, '', 'Uikit v3', '', 1, '2017-11-11 22:08:45', '0000-00-00 00:00:00', 1, '', 3),
(4, '', 'Uikit v2', '', 1, '2017-11-11 22:08:51', '0000-00-00 00:00:00', 1, '', 4),
(5, '', 'FooTable', '', 1, '2017-11-11 22:08:57', '0000-00-00 00:00:00', 1, '', 5);

